<template>
  <select v-model="season" @change="onSeasonChange($event)" class="season">
    <option v-for="s in seasons" :key="s">
      {{ s }}
    </option>
  </select>
</template>

<script>
export default {
  props: ["selectedSeason"],
  data() {
    return {      
      season: "",
      seasons: [
        2000,
        2001,
        2002,
        2003,
        2004,
        2005,
        2006,
        2007,
        2008,
        2009,
        2010,
        2011,
        2012,
        2013,
        2014,
        2015,
        2016,
        2017,
        2018,
        2019,
        2020,
        2021,
      ],
    };
  },
  mounted() {
    fetch("https://v3.football.api-sports.io/leagues/seasons", {
      method: "GET",
      headers: {
        "x-rapidapi-host": "v3.football.api-sports.io",
        "x-rapidapi-key": process.env.VUE_APP_API_KEY,
      },
    })
      .then((response) =>
        response.json().then((data) => {
          this.seasons = data.response;
        })
      )
      .catch((err) => {
        console.log(err);
      });
  },
  methods: {
    onSeasonChange(event) {
      this.$emit("seasonChanged", event.target.value);
    },
  },
  watch: {
    selectedSeason: {
      immediate: true,
      handler(val) {
        this.season = val;
      },
    },
  },
};
</script>
<style scoped>
.season {
  margin-bottom: 15px;
}
</style>
